package edu.whs.spin2018.baoapp.model.spiel;

/**
 * Stellt die Position einer Mulde in der internen Datenstrktur dar.
 */
public class Position {

    private int zeile;
    private int spalte;

    /**
     * Repräsentiert eine Position.
     *
     * @param zeile  die Zeile in der sich die Position befindet.
     * @param spalte die Spalte in der sich die Position befindet.
     */
    public Position(int zeile, int spalte) {
        this.zeile = zeile;
        this.spalte = spalte;
    }

    /**
     * Gibt die Zeile der Position wieder
     *
     * @return die Zeile der Position
     */
    public int gibZeile() {
        return this.zeile;
    }

    /**
     * Gibt die Spalte der Position wieder.
     *
     * @return die Spalte der Position.
     */
    public int gibSpalte() {
        return this.spalte;
    }

    @Override
    public String toString() {
        return this.zeile + ", " + this.spalte;
    }

    @Override
    public boolean equals(Object obj) {
        boolean istGleich = false;
        if (obj instanceof Position) {
            istGleich = (this.spalte == ((Position) obj).spalte) && (this.zeile == ((Position) obj).zeile);
        }
        return istGleich;
    }
}
